/*
 * TABuildPhase.java
 * project: XRel
 * @author Fabrizio Bisi
 * Created on 3-nov-03
 */
package xrel.analyzer;

/**
 * TODO insert comment here
 * @author Fabrizio Bisi
 */
public interface TABuildPhase {
	final static int 
		STEP_BUILD = 1,                    // build automaton
		STEP_NO_EPS_TRANS = 2,		         // remove epsilon transitions
		STEP_NO_UNREACH_STATES = 4,		     // remove unreachable states
		STEP_NO_UNMATCHED_STATES = 8,      // remove unmatched states
		STEP_COMPLETE_AUT = 16;            // complete automaton
	
	final static int
		DO_NOTHING = 0,
		SIMPLE_BUILD = STEP_BUILD,
		FULL_BUILD =
			STEP_BUILD | STEP_NO_EPS_TRANS | 
			STEP_NO_UNREACH_STATES | STEP_COMPLETE_AUT,
		ALL_IN_ONE = FULL_BUILD | STEP_NO_UNMATCHED_STATES;
}
