/*
 * TAPiece.java
 * project: XRel
 * @author Fabrizio Bisi
 * Created on 24-set-03
 */
package xrel.analyzer;

/**
 * This interface contains the constants for the parts of the automaton.
 * @author Fabrizio Bisi
 */
interface TAPiece {
	public static final int 
		STATES = 1,
		INITIAL = 2,
		FINAL = 4,
		TRANS = 8;	
}