/* ASTOperator.java - modified */

package xrel.parser;

public class ASTOperator extends SimpleNode {
	private String operator;

  public ASTOperator(int id) {
    super(id);
  }

  public ASTOperator(XRelParser p, int id) {
    super(p, id);
  }
	
	public String getOperator() { return operator; }
  public void setOperator(String op) {
	operator = op;
  }

  /** Accept the visitor. **/
  public Object jjtAccept(XRelParserVisitor visitor, Object data) {
	return visitor.visit(this, data);
  }

  public String toString() {
	return "Operator " + operator;
  }
}
